package com.muyu.common.core.validation;


import com.muyu.common.core.enums.*;
import com.muyu.common.core.validation.custom.*;
import jakarta.validation.ConstraintValidator;
import jakarta.validation.ConstraintValidatorContext;

/**
 * @Author: 胡杨
 * @Name: SysCheckState
 * @Description: 审核状态字典判断
 * @CreatedDate: 2024/8/20 下午8:09
 * @FilePath: com.muyu.common.core.validation
 */

public class IsSysCheckStateValidator implements ConstraintValidator<IsSysCheckState, String> {
    @Override
    public boolean isValid(String s, ConstraintValidatorContext constraintValidatorContext) {
        return SysCheckState.isCode(s);
    }
}
