package com.muyu.common.core.validation;


import com.muyu.common.core.enums.*;
import com.muyu.common.core.validation.custom.*;
import jakarta.validation.ConstraintValidator;
import jakarta.validation.ConstraintValidatorContext;

/**
 * @Author: 胡杨
 * @Name: SysFieldsType
 * @Description: 判断语句
 * @CreatedDate: 2024/8/29 下午1:54
 * @FilePath: com.muyu.common.core.validation
 */

public class IsSysFieldsTypeValidator implements ConstraintValidator<IsSysFieldsType, String> {
    @Override
    public boolean isValid(String s, ConstraintValidatorContext constraintValidatorContext) {
        return SysFieldsType.isCode(s);
    }
}
