package com.muyu.common.core.validation;


import com.muyu.common.core.enums.*;
import com.muyu.common.core.validation.custom.*;
import jakarta.validation.ConstraintValidator;
import jakarta.validation.ConstraintValidatorContext;

/**
 * @Author: 胡杨
 * @Name: SysNodeType
 * @Description: 节点类型字典
 * @CreatedDate: 2024/8/29 下午4:47
 * @FilePath: com.muyu.common.core.validation
 */

public class IsSysNodeTypeValidator implements ConstraintValidator<IsSysNodeType, String> {
    @Override
    public boolean isValid(String s, ConstraintValidatorContext constraintValidatorContext) {
        return SysNodeType.isCode(s);
    }
}
