package com.muyu.common.core.validation;


import com.muyu.common.core.enums.*;
import com.muyu.common.core.validation.custom.*;
import jakarta.validation.ConstraintValidator;
import jakarta.validation.ConstraintValidatorContext;

/**
 * @Author: 胡杨
 * @Name: IsSysApiState
 * @Description: 接口调用字典判断
 * @CreatedDate: 2024/8/20 下午8:07
 * @FilePath: com.muyu.common.core.validation
 */

public class IsSysApiStateValidator implements ConstraintValidator<IsSysApiState, String> {
    @Override
    public boolean isValid(String s, ConstraintValidatorContext constraintValidatorContext) {
        return SysApiState.isCode(s);
    }
}
