package com.muyu.common.core.validation;


import com.muyu.common.core.enums.*;
import com.muyu.common.core.validation.custom.*;
import jakarta.validation.ConstraintValidator;
import jakarta.validation.ConstraintValidatorContext;

/**
 * @Author: 胡杨
 * @Name: SysDBType
 * @Description: 数据源类型字典
 * @CreatedDate: 2024/8/20 下午8:26
 * @FilePath: com.muyu.common.core.validation
 */

public class IsSysDBTypeValidator implements ConstraintValidator<IsSysDBType, String> {
    @Override
    public boolean isValid(String s, ConstraintValidatorContext constraintValidatorContext) {
        return SysDBType.isCode(s);
    }
}
